# Reorder downtime reasons (/docs/api-reference/downtime/DowntimeController_reorderReasons)

`PATCH /api/factories/{factoryId}/downtime/reasons/reorder`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory slug |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "ids": {
      "description": "Full ordered list of row ids for one factory.",
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "ids"
  ]
}
```

## Responses

### 200